Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::attributes< L, T >::_attribute Struct Reference

Helper class to define attribute. More...

`#include <attribute.h>`

List of all members.

## Public Methods
template<class P, class V> | _attribute (const std::string &tagname, V P::*member)
template<class P, class V, class VL> | _attribute (const std::string &tagname, V P::*member, const VL &vl)
void | set_default (const std::string &defval)
void | required (bool val)

## Detailed Description

### template<class L, class T>
struct aka2::attributes< L, T >::_attribute

Helper class to define attribute.

Helper class to define attributes in aka2::sequence<>, aka2::all<> and aka2::simplecontent<>.

See also:
  aka2::attributes::attribute

Definition at line 41 of file attribute.h.

## Constructor & Destructor Documentation

template<class L, class T>
template<class P, class V>
aka2::attributes< L, T >::_attribute::_attribute | ( | const std::string & | tagname,
|  | V P::* | member
| ) | `[inline]`

  | Constructor for attribute definition. Parameters:
  tagname | tag name
  member | pointer to a member of a value class of T
Definition at line 48 of file attribute.h.

template<class L, class T>
template<class P, class V, class VL>
aka2::attributes< L, T >::_attribute::_attribute | ( | const std::string & | tagname,
|  | V P::* | member,
|  | const VL & | vl
| ) | `[inline]`

  | Constructor for attribute definition. Parameters:
  tagname | tag name
  member | pointer to a member of a value class of T
  vl | leaf class for V
Definition at line 59 of file attribute.h.

## Member Function Documentation

template<class L, class T>
void aka2::attributes< L, T >::_attribute::required | ( | bool | val | ) | `[inline]`

  | Set required. Specifies required flag. Parameters:
  val | true if required, othrewise false
Definition at line 84 of file attribute.h.

template<class L, class T>
void aka2::attributes< L, T >::_attribute::set_default | ( | const std::string & | defval | ) | `[inline]`

  | Set default attribute value. Specifies default value Parameters:
  defval | default value
Definition at line 69 of file attribute.h.

The documentation for this struct was generated from the following file:

- attribute.h